// 格式化毫秒数为"年-月-日 时:分:秒"格式
const formatDateTime = function(time) {
	const DATETIME = new Date(time);
	const year = DATETIME.getFullYear();
	const month = (DATETIME.getMonth() + 1) <= 9 ? "0" + (DATETIME.getMonth() + 1) : DATETIME
		.getMonth() + 1;
	const date = DATETIME.getDate() <= 9 ? "0" + DATETIME.getDate() : DATETIME.getDate();
	const hours = DATETIME.getHours() <= 9 ? "0" + DATETIME.getHours() : DATETIME.getHours();
	const minutes = DATETIME.getMinutes() <= 9 ? "0" + DATETIME.getMinutes() : DATETIME.getMinutes();
	const seconds = DATETIME.getSeconds() <= 9 ? "0" + DATETIME.getSeconds() : DATETIME.getSeconds();

	return year + '-' + month + '-' + date + " " + hours + ":" + minutes + ":" + seconds;
}

const formatDate = function(time) {
	const DATETIME = new Date(time);
	const year = DATETIME.getFullYear();
	const month = (DATETIME.getMonth() + 1) <= 9 ? "0" + (DATETIME.getMonth() + 1) : DATETIME
		.getMonth() + 1;
	const date = DATETIME.getDate() <= 9 ? "0" + DATETIME.getDate() : DATETIME.getDate();

	return year + '-' + month + '-' + date;
}

// 日期格式化
const parseTime = function(time, pattern) {
  if (arguments.length === 0 || !time) {
    return null
  }
  const format = pattern || '{y}-{m}-{d} {h}:{i}:{s}'
  let date
  if (typeof time === 'object') {
    date = time
  } else {
    if ((typeof time === 'string') && (/^[0-9]+$/.test(time))) {
      time = parseInt(time)
    } else if (typeof time === 'string') {
      time = time.replace(new RegExp(/-/gm), '/').replace('T', ' ').replace(new RegExp(/\.[\d]{3}/gm),'');
    }
    if ((typeof time === 'number') && (time.toString().length === 10)) {
      time = time * 1000
    }
    date = new Date(time)
  }
  const formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }
  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
    let value = formatObj[key]
    // Note: getDay() returns 0 on Sunday
    if (key === 'a') {
      return ['日', '一', '二', '三', '四', '五', '六'][value]
    }
    if (result.length > 0 && value < 10) {
      value = '0' + value
    }
    return value || 0
  })
  return time_str
}
export {
	formatDateTime,
	formatDate,
	parseTime
};